# 系统激活

## 系统激活
安装完成进入系统后，屏幕右上角将弹出系统激活的提示，点击“立即激活”，将弹出系统激活窗口：
![图 1 系统激活提示](image/1.png)
或在桌面任务栏处右键单击在菜单栏中选择“关于麒麟”，打开“关于”界面，点击“激活”：

**注意：如果为教育版本，则版本名称为【银河麒麟桌面操作系统（教育版）V10】**

![图 2 “关于麒麟”界面](image/2.png)
在弹出的窗口中选择激活方式：

**注意：如果为教育版本，则版本名称为【银河麒麟桌面操作系统（教育版）V10】**

![图 3 选择激活方式界面](image/3.png)

### 微信扫码激活
首次激活时，需要先使用微信扫描管理员二维码以提前绑定管理员权限，管理员二维码包含在交付的信息中，绑定管理员权限后才能进行扫码激活。

操作：选择“微信扫码激活”后，系统会弹出二维码的页面，此时需要通过移动设备的微信扫描激活界面中的二维码，然后进入移动端授权激活界面点击“获取激活码”按钮，进入确认激活界面。在确认激活界面，继续点击“获取激活码”按钮，完成移动端激活操作。
![图 4 扫码激活界面-系统联网](image/4.png)
![图 5 检查激活情况界面](image/5.png)

此时如果您的系统处于联网状态下，等待几秒后，系统即自动刷新为激活成功状态。
![图 6 系统激活成功界面](image/6.png)

如果您的系统处于离线（未连接网络）状态下，请将在移动设备微信上显示的服务序列号以及获取到的激活码在系统激活界面上填写，然后点击“离线激活”，将会弹出激活成功的页面，即自动刷新为已激活状态。
![图 7 扫码激活界面-系统离线](image/7.png)
![图 8 移动端授权激活界面](image/8.png)

若“关于麒麟”界面中的“服务序列号”为7位，在打开的移动端授权激活界面中需要您输入8位或以上的正式服务序列号，正式服务序列号包含在交付信息中，点击“检查激活情况”，进入检查激活情况界面。

若“关于麒麟”界面中的“服务序列号”为8位或以上的正式服务序列号，直接进入检查激活情况界面。

### 输入产品密钥激活
输入产品密钥激活是通过麒麟软件提供的电子或实体交付物中获取产品密钥进行系统激活，密钥由20位数字和大写字母组成。

操作：将获取到的20位密钥填入到系统，然后界面点击“激活”按钮。
![图 9 产品密钥激活界面](image/9.png)

此时如果您的系统处于联网状态下，等待几秒后，系统即自动刷新为激活成功状态。
![图 10 系统激活成功界面](image/10.png)

如果您的系统处于离线（未连接网络）状态下，系统会自动判断网络为异常状态，请继续点击“离线激活”。
![图 11 产品密钥-选择离线激活界面](image/11.png)

此时需要移动设备微信应用的配合，通过微信扫描激活界面中的二维码获取激活码。
![图 12 产品密钥-离线激活界面](image/12.png)

在移动设备上点击“产品密钥激活”，进入到产品密钥激活界面，然后继续点击“获取激活码”。
![图 13 产品密钥-移动端授权激活界面](image/13.png)

将获取到的激活码在系统激活界面上填写后，点击“离线激活”，将会弹出激活成功的页面，即自动刷新为已激活状态。

### 场地授权激活
场地授权方式激活，即通过导入麒麟软件提供的电子物料包中的LICENSE.zip文件进行系统激活，分为两种情况：

若使用交付信息中的镜像安装，系统开机后即为已激活状态，可以在桌面任务栏处右键单击后选择“关于麒麟”，打开“关于麒麟”界面查看激活状态。

若安装系统后提示“系统未激活”或“关于麒麟”界面中显示未激活，则需要点击“激活”，选择“场地授权激活”，在打开的界面中点击“添加”选择或直接拖拽对应LICENSE.zip文件到添加区域，点击“激活”等待系统提示激活成功。

授权文件通常包含在交付信息中，若无法获取可以致电服务热线400-089-1870或访问官网获取更多服务支持方式。
![图 14 场地授权文件导入界面](image/14.png)

### 插入UKey激活
通过麒麟软件提供给您的UKey插入计算机进行系统激活。首先将获取的Ukey插入待激活机器的USB接口，然后选择“插入Ukey激活”方式激活，点击“激活”后等待系统完成激活并提示激活成功。Ukey通常会以邮寄的方式提供。
![图 15 插入Ukey激活界面](image/15.png)

### 更新授权许可文件
如需要更换授权许可证书，可将新的LICENSE.zip授权文件通过“拖拽”或“添加”的方式进行导入，再通过前述的几种激活方式进行激活。
![图 16 更换授权许可证书界面](image/16.png)



### 其他情况说明

（1）系统无法联网且无法通过移动端微信应用配合扫码

如果您选择了“微信扫码激活”和“输入产品密钥激活”，但系统处于不能联网且无法通过移动端微信应用配合扫码的情况，可通过以下方案处理。

a、请确保您的终端系统已经更换了正式的8位及以上服务序列号的授权文件

b、在系统桌面，通过鼠标右键，选择“打开终端”，在终端输入“sudo kylin_gen_register”将会获取到一串“注册码”

c、扫描下方二维码，关注“麒麟软件”公众号，选择“全链服务-产品激活”。
![图 17 麒麟软件公众号](image/17.png)

d、进入到公众号后，根据实际情况选择对应的激活方式，然后继续选择“无法扫码”（此处以扫码激活方式举例）。
![图 18 激活公众号界面](image/18.png)

e、在“无法扫码-生成激活码”页面根据b步骤拿到的注册码以及正式的服务序列号来获取激活码
![图 19 公众号-生成激活码界面](image/19.png)

f、根据选择的激活方式，将激活码填入到系统的对应激活方式的离线激活界面中


（2）已激活的系统，重装系统进行激活

已经激活的机器重装系统后（硬件信息未发生改变），系统联网状态下会自动恢复激活状态；离线状态下需要根据您选择的激活方式按照上述流程重新进行激活，该操作不会占用额外的授权点数。



## 激活错误码说明
- #001

提示信息：无LICENSE文件或LICENSE文件无法通过签名验证。

产生原因：无LICENSE文件或LICENSE文件无法通过签名验证。

解决方法：确保导入的授权文件格式正确，建议将授权文件重新导入一遍。

- #004

提示信息：无有效的麒麟信息文件。

产生原因：.kyinfo内容或格式错误。

解决方法：确保导入的授权文件格式正确，建议将授权文件重新导入一遍。

- #009

提示信息：无效的激活码。

产生原因：获取到的激活码无法激活本机器。

解决方法：确保导入的授权文件正确，再重新执行激活操作。

- #012

提示信息：激活码包含的到期时间早于系统已有激活码到期时间。

产生原因：设备已是激活状态且当前获取的激活码到期时间比本地的到期时间早。

解决方法：若是在进行激活延期操作时，请确保激活平台上的服务有效期已正确延长。

- #014

提示信息：无有效的公钥。

产生原因：可能是系统时间错误导致。

解决方法：请连接网络同步时间或手动同步时间。

- #017

提示信息：在不同的情况下，有不同的含义。例如在获取注册码时，为“无法生成注册码”；在激活时，为“无法进行激活”；在查询激活状态时，为“无法获取激活状态”。

产生原因：1. 硬件信息无法获取; 2. 在激活后，硬件被更改; 3. /etc/.kyhwid文件为空。

解决方法：/etc/.kyhwid文件为空时删除该文件后重新激活； 若硬件无法获取，请联系管理员解决该问题。

- #019

提示信息：版本类型不匹配。

产生原因：判断OS类型失败,/proc/osinfo中"OS Type:Desktop / Server"指定了是桌面还是服务器版,需要与LICENSE,CLASS字段匹配。虚拟机中"OS Type"同时包含Desktop与Server。

解决方法：确保导入的授权文件正确，再重新执行激活操作。

- #020

提示信息：未查询到UKEY。

产生原因：在执行UKey激活操作或查询UKey数据时为找到UKey设备。

解决方法：确保Ukey正确插入设备并未被拦截，并确保UKey驱动正常安装，执行lsusb可以看见对应UKey列出。

- #025

提示信息：UKEY未包含服务序列号。

产生原因：这个一个未初始化或已回收的UKey设备。

解决方法：请更换其他已初始化的UKey进行系统激活。

- #030

提示信息：UKEY可激活数已经达到上限。

产生原因：UKEY可激活数已经达到上限。

解决方法：请更换其他有剩余激活点数的UKey进行系统激活。

- #038

提示信息：LICENSE的服务序列号与UKEY所含服务序列号不符。

产生原因：当LICENSE中包含的是服务序列号时，必须确保UKey中的服务序列号与LICENSE中包含的服务序列号相同。

解决方法：请更换其他与LICENSE中包含的服务序列号匹配的UKey进行系统激活。

- #048

提示信息：文件被修改。

产生原因：/var/lib/dpkg/info/libkylin-activation.md5sums中保存了libkylin-activation包安装所有文件的MD5值，用于比较文件是否被修改；当前只检测了"/usr/bin/kylin_activation_check"。

解决方法：确保libkylin-activation安装的文件没有被修改过,并尝试重启服务。

- #077

提示信息：产品类型不匹配。

产生原因：LICENSE中倒数二、三位数字与.kyinfo中倒数二、三位数字不同。

解决方法：确保导入的授权文件正确，再重新执行激活操作。

- #078

提示信息：系统平台信息不匹配。

产生原因：该设备架构与授权文件支持架构不符合。

解决方法：确保导入的授权文件正确，再重新执行激活操作。

- #081

提示信息：系统版本信息不匹配。

产生原因：系统版本系统匹配错误，通常为V10和SP1授权交叉导致。

解决方法：确保导入的授权文件正确，再重新执行激活操作。